import { Injectable } from '@nestjs/common';
import { File } from '../storage/file.entity';
import { RoomFile } from '../rooms/room-file.entity';
import { Room } from '../rooms/room.entity';

@Injectable()
export class DbService {
  private rooms: Room[] = [];
  private files: File[] = [];
  private roomFiles: RoomFile[] = [];

  async addRoom(room: Room) {
    room.id = this.rooms.length;
    this.rooms.push(room);
    return room;
  }

  async addFile(file: File) {
    file.id = this.files.length;
    this.files.push(file);
    return file;
  }

  async getFile(fileId: number) {
    return this.files.find((file) => file.id == fileId);
  }

  async deleteFile(fileId: number) {
    this.files = this.files.filter((file) => file.id != fileId);
    return this.files;
  }

  async addRoomFile(roomFile: RoomFile) {
    roomFile.id = this.roomFiles.length;
    this.roomFiles.push(roomFile);
    return roomFile;
  }

  async getRoomFiles() {
    return this.roomFiles;
  }
}
