import {
  Body,
  Controller,
  InternalServerErrorException,
  Post,
} from '@nestjs/common';
import { RoomsService } from './rooms.service';

@Controller('rooms')
export class RoomsController {
  constructor(private readonly roomsService: RoomsService) {}

  @Post()
  async addRoom(@Body() body) {
    const { roomImages, ...room } = body;
    for (let i = 0; i < roomImages.length; i++) {
      await this.roomsService.addRoomFile(
        room.id,
        roomImages[i].id,
        'image',
        i,
      );
    }
    return this.roomsService.addRoom(room);
  }
}
