import { Injectable } from '@nestjs/common';
import { Room } from './room.entity';
import { DbService } from '../db/db.service';

@Injectable()
export class RoomsService {
  constructor(private dbService: DbService) {}

  async addRoom(room: Room) {
    return this.dbService.addRoom(room);
  }

  async addRoomFile(
    roomId: number,
    fileId: number,
    mimeType: string,
    order: number,
  ) {
    return this.dbService.addRoomFile({
      fileId,
      mimeType,
      order,
      roomId,
    });
  }
}
