import { Injectable, NotFoundException } from '@nestjs/common';
import { File } from './file.entity';
import { DbService } from '../db/db.service';

@Injectable()
export class FileService {
  constructor(private readonly dbService: DbService) {}

  async saveFile(file: File) {
    return this.dbService.addFile(file);
  }

  async getFile(fileId: number) {
    return this.dbService.getFile(fileId);
  }

  async deleteFile(fileId: number) {
    const found = this.dbService.getFile(fileId);
    if (found) {
      this.dbService.deleteFile(fileId);
      return found;
    } else {
      throw new NotFoundException('File Not Found!');
    }
  }
}
