import {
  Controller,
  Delete,
  Param,
  Post,
  UploadedFiles,
  UseInterceptors,
} from '@nestjs/common';
import { StorageService } from './storage.service';
import { AnyFilesInterceptor } from '@nestjs/platform-express';
import { config } from 'dotenv';
config();

@Controller('storage')
export class StorageController {
  constructor(private storageService: StorageService) {}

  @Post('upload-files')
  @UseInterceptors(AnyFilesInterceptor())
  async uploadFiles(@UploadedFiles() files: Array<Express.Multer.File>) {
    console.log(files);
    return await this.storageService.uploadFiles(files);
  }

  @Delete('delete/:id')
  async deleteFile(@Param('id') id) {
    return await this.storageService.deleteFile(id);
  }
}
